> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Details



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/call_details
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/call_details:
    get:
      tags:
        - call_details
      summary: Call Details
      operationId: call_details_api_call_details_get
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/CallStatusOptions'
              - type: 'null'
            title: Status
        - name: direction
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/CallDirectionOptions'
              - type: 'null'
            title: Direction
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CallDetailResponse'
                title: Response Call Details Api Call Details Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CallStatusOptions:
      type: string
      enum:
        - ANSWERED
        - FAILED
        - INITIATED
        - QUEUED
      title: CallStatusOptions
    CallDirectionOptions:
      type: string
      enum:
        - inbound
        - outbound
      title: CallDirectionOptions
    CallDetailResponse:
      properties:
        id:
          type: integer
          title: Id
        call_id:
          type: string
          format: uuid
          title: Call Id
        call_agent_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Call Agent Id
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        call_insights:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Call Insights
        call_recording_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Recording Url
        from_number:
          anyOf:
            - type: string
            - type: 'null'
          title: From Number
        to_number:
          anyOf:
            - type: string
            - type: 'null'
          title: To Number
        recording_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Recording Id
        call_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Call Context
        call_status:
          $ref: '#/components/schemas/CallStatusOptions'
          default: QUEUED
        call_duration:
          anyOf:
            - type: number
            - type: 'null'
          title: Call Duration
        billed_duration:
          anyOf:
            - type: number
            - type: 'null'
          title: Billed Duration
        initiation_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Initiation Time
        answer_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Answer Time
        end_time:
          anyOf:
            - type: string
            - type: 'null'
          title: End Time
        hangup_cause_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Hangup Cause Name
        hangup_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Hangup Source
        call_direction:
          $ref: '#/components/schemas/CallDirectionOptions'
          default: inbound
        task_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Task Id
        call_triggered:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Call Triggered
        call_quality:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Call Quality
        call_timeline:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Call Timeline
        tool_data:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Tool Data
      type: object
      required:
        - id
        - call_id
      title: CallDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````